Remove ancient mozjs from bionic

Bug #1728038 reported by Jeremy Bicha on 2017-10-27
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
couchdb (Ubuntu)
Undecided
Unassigned
gxine (Ubuntu)
Undecided
Unassigned
mozjs (Debian)
New
Unknown
mozjs (Ubuntu)
Undecided
Unassigned
mozjs24 (Ubuntu)
Undecided
Unassigned
oolite (Ubuntu)
Undecided
Unassigned

Bug Description

mozjs
=====

The mozjs source package is the SpiderMonkey JavaScript engine from Firefox 4 (?)

https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey/Releases/1.8.5

That makes it very out of date. It has been replaced by mozj52 (corresponds with Firefox 52 ESR) which is still supported by Mozilla.

It has 3 reverse dependencies in Ubuntu, none of which are very important any more and all of which have been removed from Debian Testing so let's remove them too:
couchdb
gxine
oolite

$ reverse-depends src:oolite
Reverse-Recommends
------------------
* games-finest (for oolite)
* games-finest-light (for oolite)
* games-simulation (for oolite)
* games-strategy (for oolite)
* gnustep-games (for oolite)

DONE - mozjs24
==============
mozjs24 corresponds with Firefox 24 and is also unsupported.

It has no reverse dependencies in Ubuntu.

Remaining versions of mozjs in Ubuntu bionic
============================================
* mozjs52 ­– supported until June 2018, used by GNOME 3.26 and 3.28
* mozjs38 – used by cjs and an optional package from libproxy, see LP: #1728184

Jeremy Bicha (jbicha) on 2017-10-27
description: updated
Changed in mozjs (Debian):
status: Unknown → New
Adam Conrad (adconrad) wrote :

I just removed couchdb for other reasons, so closing that task.

Changed in couchdb (Ubuntu):
status: New → Fix Released
Adam Conrad (adconrad) wrote :

mozjs24 has a reverse-dep of edbrowse

Adam Conrad (adconrad) wrote :

Ahh, edbrowse dropped the mozjs dep in 3.7.1-1, so sleeping this until that migrates.

Adam Conrad (adconrad) wrote :

Removing packages from bionic:
 mozjs24 24.2.0-6ubuntu1 in bionic
  libmozjs-24-0v5 24.2.0-6ubuntu1 in bionic amd64
  libmozjs-24-0v5 24.2.0-6ubuntu1 in bionic arm64
  libmozjs-24-0v5 24.2.0-6ubuntu1 in bionic armhf
  libmozjs-24-0v5 24.2.0-6ubuntu1 in bionic i386
  libmozjs-24-0v5 24.2.0-6ubuntu1 in bionic ppc64el
  libmozjs-24-0v5 24.2.0-6ubuntu1 in bionic s390x
  libmozjs-24-0v5-dbg 24.2.0-6ubuntu1 in bionic amd64
  libmozjs-24-0v5-dbg 24.2.0-6ubuntu1 in bionic arm64
  libmozjs-24-0v5-dbg 24.2.0-6ubuntu1 in bionic armhf
  libmozjs-24-0v5-dbg 24.2.0-6ubuntu1 in bionic i386
  libmozjs-24-0v5-dbg 24.2.0-6ubuntu1 in bionic ppc64el
  libmozjs-24-0v5-dbg 24.2.0-6ubuntu1 in bionic s390x
  libmozjs-24-bin 24.2.0-6ubuntu1 in bionic amd64
  libmozjs-24-bin 24.2.0-6ubuntu1 in bionic arm64
  libmozjs-24-bin 24.2.0-6ubuntu1 in bionic armhf
  libmozjs-24-bin 24.2.0-6ubuntu1 in bionic i386
  libmozjs-24-bin 24.2.0-6ubuntu1 in bionic ppc64el
  libmozjs-24-bin 24.2.0-6ubuntu1 in bionic s390x
  libmozjs-24-bin-dbg 24.2.0-6ubuntu1 in bionic amd64
  libmozjs-24-bin-dbg 24.2.0-6ubuntu1 in bionic arm64
  libmozjs-24-bin-dbg 24.2.0-6ubuntu1 in bionic armhf
  libmozjs-24-bin-dbg 24.2.0-6ubuntu1 in bionic i386
  libmozjs-24-bin-dbg 24.2.0-6ubuntu1 in bionic ppc64el
  libmozjs-24-bin-dbg 24.2.0-6ubuntu1 in bionic s390x
  libmozjs-24-dev 24.2.0-6ubuntu1 in bionic amd64
  libmozjs-24-dev 24.2.0-6ubuntu1 in bionic arm64
  libmozjs-24-dev 24.2.0-6ubuntu1 in bionic armhf
  libmozjs-24-dev 24.2.0-6ubuntu1 in bionic i386
  libmozjs-24-dev 24.2.0-6ubuntu1 in bionic ppc64el
  libmozjs-24-dev 24.2.0-6ubuntu1 in bionic s390x
Comment: Obsolete, unmaintained, no rdeps (LP: #1728038)
Remove [y|N]? y
1 package successfully removed.

Changed in mozjs24 (Ubuntu):
status: New → Fix Released
Jeremy Bicha (jbicha) on 2017-10-29
description: updated
Jeremy Bicha (jbicha) on 2017-12-10
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.